Skip to main content
POST
/
organization
/
{organizationId}
/
argoCdDestinationClusterMapping
Save an ArgoCD destination cluster mapping
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "argocd_cluster_url": "https://kubernetes.default.svc",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "argocd_cluster_url": "https://kubernetes.default.svc",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
agent_cluster_id
string<uuid>
required

ID of the Qovery cluster where the ArgoCD instance is running

argocd_cluster_url
string
required

ArgoCD destination cluster URL as reported by ArgoCD

Example:

"https://kubernetes.default.svc"

cluster_id
string<uuid>
required

ID of the Qovery cluster to map this ArgoCD destination to

Response

Mapping saved

agent_cluster_id
string<uuid>
required
argocd_cluster_url
string
required
Example:

"https://kubernetes.default.svc"

cluster_id
string<uuid> | null
required